Skip to content

Update the downloads block​

PATCH
/config/downloads

Merges the given fields into the stored downloads config. unlinkImportedFiles applies immediately; the other values take effect on next boot.

Authorizations​

X-Management-Key

The JACK_MANAGEMENT_KEY the management listener was started with.

Type
API Key (header: X-Management-Key)

Request Body​

application/json
JSON
{
  
"completedPath": "string",
  
"maxConcurrentDownloads": 0,
  
"maxDownloadAttempts": 0,
  
"retryBaseDelayMs": 0,
  
"retryMaxDelayMs": 0,
  
"idleTimeoutMs": 0,
  
"importPollIntervalMs": 0,
  
"maxManualImportAttempts": 0,
  
"manualImportBackoffBaseMs": 0,
  
"manualImportBackoffMaxMs": 0,
  
"unlinkImportedFiles": true
}

Responses​

Success

application/json

Samples​

Powered by VitePress OpenAPI

Released under the GPL-3.0 License.